package com.huimv.receive.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.receive.common.utils.Result;
import com.huimv.receive.entity.BillSampling;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.io.IOException;
import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 * 洗消表 服务类
 * </p>
 *
 * @author author
 * @since 2024-03-11
 */
public interface IBillSamplingService extends IService<BillSampling> {

    Result list(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listById(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listPersonalSample(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result edit(HttpServletRequest httpServletRequest, String farmId, String id, String date,
                MultipartFile video, MultipartFile picture1, MultipartFile picture2, MultipartFile picture3) throws ParseException, IOException;

    Result listAll(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);
}
